Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.faces.render
Annotation Type FacesBehaviorRenderer

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    public @interface FacesBehaviorRenderer

The presence of this annotation on a class automatically registers the class with the runtime as a `ClientBehaviorRenderer`. The value of the `renderKitId()` attribute is taken to be the render-kit-id to which an instance of this `Renderer` is to be added. There must be a public zero-argument constructor on any class where this annotation appears. The implementation must indicate a fatal error if such a constructor does not exist and the application must not be placed in service. Within that `RenderKit`, The value of the `rendererType()` attribute is taken to be the renderer-type The implementation must guarantee that for each class annotated with `FacesBehaviorRenderer`, found with the algorithm in section JSF.11.5, the following actions are taken.

- Obtain a reference to the `RenderKitFactory` for this application.

- See if a `RenderKit` exists for render-kit-id. If so, let that instance be renderKit for discussion. If not, the implementation must indicate a fatal error if such a `RenderKit` does not exist and the application must not be placed in service.

- Create an instance of this class using the public zero-argument constructor.

- Call `RenderKit.addClientBehaviorRenderer(java.lang.String, javax.faces.render.ClientBehaviorRenderer)` on renderKit, passing type as the first argument, and a `ClientBehaviorRenderer` instance as the second argument.

Since:
  2.0

Required Element Summary
`java.lang.String` | `rendererType`

Optional Element Summary
`java.lang.String` | `renderKitId` The value of this annotation attribute is taken to be the render-kit-id in which an instance of this class of `Renderer` must be installed.

Element Detail

### rendererType

    public abstract java.lang.String rendererType

### renderKitId

    public abstract java.lang.String renderKitId

  The value of this annotation attribute is taken to be the render-kit-id in which an instance of this class of `Renderer` must be installed.

  Since:
    2.0
  Default:
    "HTML_BASIC"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.